org.bouncycastle.asn1.smime

## Class SMIMECapability

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.smime.SMIMECapability

All Implemented Interfaces:
  DEREncodable

    public class SMIMECapability
    extends ASN1Encodable

### Field Summary

Fields
`static DERObjectIdentifier` `aES128_CBC`
`static DERObjectIdentifier` `aES192_CBC`
`static DERObjectIdentifier` `aES256_CBC`
`static DERObjectIdentifier` `canNotDecryptAny`
`static DERObjectIdentifier` `dES_CBC` encryption algorithms preferences
`static DERObjectIdentifier` `dES_EDE3_CBC`
`static DERObjectIdentifier` `preferSignedData` general preferences
`static DERObjectIdentifier` `rC2_CBC`
`static DERObjectIdentifier` `sMIMECapabilitiesVersions`

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SMIMECapability(ASN1Sequence seq)`
`SMIMECapability(DERObjectIdentifier capabilityID, DEREncodable parameters)`

### Method Summary

Methods
`DERObjectIdentifier` `getCapabilityID()`
`static SMIMECapability` `getInstance(java.lang.Object obj)`
`DEREncodable` `getParameters()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### preferSignedData

    public static final DERObjectIdentifier preferSignedData

general preferences

#### canNotDecryptAny

    public static final DERObjectIdentifier canNotDecryptAny

#### sMIMECapabilitiesVersions

    public static final DERObjectIdentifier sMIMECapabilitiesVersions

#### dES_CBC

    public static final DERObjectIdentifier dES_CBC

encryption algorithms preferences

#### dES_EDE3_CBC

    public static final DERObjectIdentifier dES_EDE3_CBC

#### rC2_CBC

    public static final DERObjectIdentifier rC2_CBC

#### aES128_CBC

    public static final DERObjectIdentifier aES128_CBC

#### aES192_CBC

    public static final DERObjectIdentifier aES192_CBC

#### aES256_CBC

    public static final DERObjectIdentifier aES256_CBC

### Constructor Detail

#### SMIMECapability

    public SMIMECapability(ASN1Sequence seq)

#### SMIMECapability

    public SMIMECapability(DERObjectIdentifier capabilityID,
                   DEREncodable parameters)

### Method Detail

#### getInstance

    public static SMIMECapability getInstance(java.lang.Object obj)

#### getCapabilityID

    public DERObjectIdentifier getCapabilityID()

#### getParameters

    public DEREncodable getParameters()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     SMIMECapability ::= SEQUENCE {
         capabilityID OBJECT IDENTIFIER,
         parameters ANY DEFINED BY capabilityID OPTIONAL
     }

Specified by:
  `toASN1Object` in class `ASN1Encodable`